Summary: Modular Object Oriented Dynamic SpreadSheet
Name: moodss
Version: 17.17
Release: 0.fdr.1.2
Epoch: 0
Group: Applications/System
Source: http://jfontain.free.fr/moodss-17.17.tar.bz2
URL: http://jfontain.free.fr/moodss/
License: GPL
BuildRoot: %_tmppath/%name-%version-%release-root-%(%__id_u -n)
# work around tcl-devel and tk-devel packages non existence in RH 8.0 and 9:
BuildRequires: tcl >= 0:8.3.1, %{_includedir}/tcl.h
Requires: tk >= 0:8.3.1, blt >= 0:2.4-0.fdr.0.z, tktable >= 0:2.7

%description
A multi-purpose monitoring tool with table, graphical, textual data
viewers, thresholds and full drag and drop user interface as well as a
UNIX daemon. Compatible with a variety of SQL databases for data
history over time storage and display. Includes modules for Linux
system, MySQL database, SNMP networking and Apache. Modules can be
written in Tcl, Perl (tclperl package required), Python (tclpython
package required) or C.

%prep
%setup -q

%build
%__make CFLAGS="-s $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT __docs
%__make ROOTDIR=$RPM_BUILD_ROOT install
cp -a $RPM_BUILD_ROOT/%_docdir/%name-%version __docs
install -dm 755 $RPM_BUILD_ROOT/%_datadir/applications/\
    $RPM_BUILD_ROOT/%_datadir/pixmaps/\
    $RPM_BUILD_ROOT/%_datadir/moodss/
sed -e 's,%%_datadir,%_datadir,;' -e 's,%%_bindir,%_bindir,;'\
    -e 's,%%version,%version,;' %name.desktop >\
    $RPM_BUILD_ROOT/%_datadir/applications/fedora-%name.desktop
chmod 644 $RPM_BUILD_ROOT/%_datadir/applications/fedora-%name.desktop
install -m 644 -p %name.png $RPM_BUILD_ROOT/%_datadir/pixmaps/
install -m 644 -p linux.moo $RPM_BUILD_ROOT/%_datadir/moodss/
# install %_topdir/SOURCES/tclsqlite.so $RPM_BUILD_ROOT/%_libdir/moodss/sqlite/

%files
%defattr(-,root,root,-)
%doc __docs/*
%doc %_mandir/man1/moodss.*
%_datadir/applications/*%name.desktop
%_datadir/pixmaps/%name.png
%_datadir/moodss
%_bindir/moodss
%_libdir/moodss

%clean
rm -rf $RPM_BUILD_ROOT


%changelog

* Sun Feb 8 2004 Jean-Luc Fontaine <jfontain@free.fr> 0:17.17-0.fdr.1
- 17.17 version

* Sun Jan 18 2004 Jean-Luc Fontaine <jfontain@free.fr> 0:17.16-0.fdr.1
- 17.16 version
- in install stage, copy documentation files after make install
  completion as it modifies some HTML documentation internal URLs
- in desktop entry, use the shorter moodss application name
- added diskstats, hddtemp and usb modules
- pci module now uses event based and threaded library and is thoroughly
  documented to serve as remote capable module reference implementation
- made several modules compatible with Linux kernel 2.6
- moved modules and development sections out of moodss.htm HTML
  documentation into modules.htm and develop.htm separate files
- see CHANGES in documentation directory for complete list of changes

* Wed Dec 31 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:17.15-0.fdr.2
- in install stage, copy documentation in a custom directory to avoid
  listing all the documentation files in the files section
- directly generate desktop file with a fedora header
- simply list the moodss data directory instead of the file it contains

* Sun Dec 28 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:17.15-0.fdr.1
- 17.15 version

* Sun Dec 14 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:17.14-0.fdr.1
- 17.14 version
- included predefined dashboard for system in data directory
- application desktop menu now uses predefined dashboard for system

* Sat Nov 22 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:17.13-0.fdr.1
- 17.13 version

* Sun Nov 16 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:17.12-0.fdr.8
- in build requirements, work around tcl-devel and tk-devel packages non
  existence in RH 8.0 and 9

* Sat Nov 8 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:17.12-0.fdr.7
- moved moomps rpm generation to separate moomps.spec file

* Fri Nov 7 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:17.12-0.fdr.6
- escaped percent characters in change log

* Tue Nov 4 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:17.12-0.fdr.5
- changed release tag from 0.fdr.0.X to 0.fdr.X
- replaced %%__sed and %%__install by sed and install
- added -p argument to install to preserve timestamps
- no longer use full path for chkconfig as it is part of root path

* Sat Nov 1 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:17.12-0.fdr.4
- removed redundant Release and Epoch tags
- combined macros in files section for %%_sysconfdir/moomps and
  %%_sysconfdir/moomps/rc

* Fri Oct 31 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:17.12-0.fdr.3
- removed optional sqlite binary library inclusion since sqlite rpm is
  likely to become part of Fedora
- removed RCS line
- set Epoch to 0 and removed it from Release
- used a full macroless URL to the source tarball
- removed Packager (not used in Fedora)
- used z release instead of u in blt requirement
- used rm instead of %%__rm macro
- included the moomps/rc file as a normal %%config file
- no longer generate a default moomps/rc file as it is now done in the
  make install stage
- use wildcards in manual pages files entries
- specified documentation files explicitely instead of using
  %%_defaultdocdir
- added build stage for dynamic libraries and global scripts generation
- attributes for the moomps configuration directory and rc file now set
  using the %%attr macro
- moomps user created in pre installation stage instead of post
- use service command to stop moomps instead of using a little script

* Fri Oct 24 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:17.12-0.fdr.2
- added desktop entry with small icon.

* Tue Oct 21 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:17.12-0.fdr.1
- checked with rpmlint and improved accordingly.
